Rated 5 out of 5 stars

not compatible with 3.1.1

Rated 1 out of 5 stars

1. Incompatible with TB 2.0
2. Less fluff, more fact in the flyer. We'll never know what its major advantage is as a result.

Rated 3 out of 5 stars

Does not work with thunderbird 2.x
Thunderbird v1.0 - 1.5 only

Rated 3 out of 5 stars

...and a version for Mac users? ;-)